RegionAttributesMirrorType (Apache Geode 1.11.0)
Date: 2019-12-20

org.apache.geode.cache.configuration

## Enum RegionAttributesMirrorType

- java.lang.Object
- - java.lang.Enum<RegionAttributesMirrorType>
  - - org.apache.geode.cache.configuration.RegionAttributesMirrorType

- All Implemented Interfaces:
    Serializable, Comparable<RegionAttributesMirrorType>

      @Experimental
      public enum RegionAttributesMirrorType
      extends Enum<RegionAttributesMirrorType>

  Java class for region-attributesMirror-type.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="region-attributesMirror-type">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="keys"/>
           <enumeration value="keys-values"/>
           <enumeration value="none"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `KEYS`
    `KEYS_VALUES`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RegionAttributesMirrorType` | `fromValue(String v)`
    `String` | `value()`
    `static RegionAttributesMirrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RegionAttributesMirrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEYS

          public static final RegionAttributesMirrorType KEYS

    - #### KEYS_VALUES

          public static final RegionAttributesMirrorType KEYS_VALUES

    - #### NONE

          public static final RegionAttributesMirrorType NONE

  - ### Method Detail

    - #### values

          public static RegionAttributesMirrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegionAttributesMirrorType c : RegionAttributesMirrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegionAttributesMirrorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static RegionAttributesMirrorType fromValue(String v)